Package com.logicaldoc.core.document.thumbnail

# Class AbstractThumbnailBuilder

java.lang.Object
com.logicaldoc.core.document.thumbnail.AbstractThumbnailBuilder

All Implemented Interfaces:
  `ThumbnailBuilder`

Direct Known Subclasses:
  `ImageThumbnailBuilder`, `Mp3ThumbnailBuilder`, `VideoThumbnailBuilder`

public abstract class AbstractThumbnailBuilder extends Object implements ThumbnailBuilder
Main starting point for all thumbnail builders

Since:
  6.8.1
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.logicaldoc.core.document.thumbnail.ThumbnailBuilder

`buildThumbnail`